|
|
|
@ -1,5 +1,15 @@
|
|
|
|
|
--- wine-mono-4.5.6/build-winemono.sh.orig 2015-03-02 11:21:51.000000000 -0600
|
|
|
|
|
+++ wine-mono-4.5.6/build-winemono.sh 2015-03-07 23:40:43.725956614 -0600
|
|
|
|
|
@@ -62,7 +62,8 @@
|
|
|
|
|
|
|
|
|
|
cd "$CURDIR/build-cross-$ARCH"
|
|
|
|
|
if test 1 != $REBUILD || test ! -e Makefile; then
|
|
|
|
|
- CPPFLAGS="-gdwarf-2 -gstrict-dwarf" ../mono/configure --prefix="$CURDIR/build-cross-$ARCH-install" --build=$BUILD --target=$MINGW --host=$MINGW --with-tls=none --disable-mcs-build --enable-win32-dllmain=yes --with-libgc-threads=win32 PKG_CONFIG=false mono_cv_clang=no || exit 1
|
|
|
|
|
+ CFLAGS="-O0 -g -pipe -Wall -Werror=format-security -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -mtune=generic" \
|
|
|
|
|
+ CPPFLAGS="-O0 -gdwarf-2 -gstrict-dwarf" ../mono/configure --prefix="$CURDIR/build-cross-$ARCH-install" --build=$BUILD --target=$MINGW --host=$MINGW --with-tls=none --disable-mcs-build --enable-win32-dllmain=yes --with-libgc-threads=win32 PKG_CONFIG=false mono_cv_clang=no || exit 1
|
|
|
|
|
sed -e 's/-lgcc_s//' -i libtool
|
|
|
|
|
fi
|
|
|
|
|
WINEPREFIX=/dev/null make $MAKEOPTS || exit 1
|
|
|
|
|
@@ -108,6 +108,7 @@
|
|
|
|
|
|
|
|
|
|
cd "$CURDIR/build-cross-cli"
|
|
|
|
@ -8,3 +18,15 @@
|
|
|
|
|
../mono/configure --prefix="$CURDIR/build-cross-cli-install" --with-mcs-docs=no --disable-system-aot || exit 1
|
|
|
|
|
fi
|
|
|
|
|
if test 1 = $USE_MONOLITE; then
|
|
|
|
|
--- wine-mono-4.5.6/mono/libgc/win32_threads.c.orig 2015-03-08 00:50:02.940982196 -0600
|
|
|
|
|
+++ wine-mono-4.5.6/mono/libgc/win32_threads.c 2015-03-08 00:50:18.624128240 -0600
|
|
|
|
|
@@ -165,9 +165,6 @@
|
|
|
|
|
* GC_max_thread_index may temporarily be larger than MAX_THREADS.
|
|
|
|
|
* To avoid subscript errors, we check on access.
|
|
|
|
|
*/
|
|
|
|
|
-#ifdef __GNUC__
|
|
|
|
|
-__inline__
|
|
|
|
|
-#endif
|
|
|
|
|
LONG GC_get_max_thread_index()
|
|
|
|
|
{
|
|
|
|
|
LONG my_max = GC_max_thread_index;
|
|
|
|
|